Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456466 - broken -L in GraphicsMagick.pc
Summary: broken -L in GraphicsMagick.pc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick
Version: rawhide
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 21:07 UTC by Matthew Woehlke
Modified: 2009-06-30 15:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-30 15:20:32 UTC


Attachments (Terms of Use)

Description Matthew Woehlke 2008-07-23 21:07:48 UTC
Description of problem:
pkg-config --libs-only-L requests /usr/lib, this is wrong and breaks software
using the -L from GraphicsMagick

Version-Release number of selected component (if applicable):
1.1.10-3.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. pkg-config --libs-only-L GraphicsMagick
  
Actual results:
"-L/usr/lib"

Expected results:
"-L/usr/lib64" or empty

Additional info:
This breaks compilation of krita on my machine, as cmake picks up -L/usr/lib
from GraphicsMagick and as a result tries to link objects (which are x86_64)
using /usr/lib. Naturally, this fails.

Comment 1 Matthew Woehlke 2008-07-23 21:23:09 UTC
As a guess, replacing the bad line with:
Libs: -L${libdir} -lGraphicsMagick -llcms -lfreetype -lXext -lSM -lICE -lX11
-lbz2 -lz -lm -lpthread
...might do the trick. At least, after making that change by hand on my machine,
I can build krita.

According to Cyrille Berger, this needs to be fixed upstream as well.

Comment 2 Michal Hlavinka 2008-09-19 07:14:59 UTC
I don't know if this is the same problem as in #456469, but for #456469:
this bug is because of static Makefile (./configure is not executed) so libdir in Makefile is set to /lib and so libdir in *.pc file is. Can be fixed in spec file by adding these three lines in %build after the make phase:

mv lib/libpci.pc lib/libpci.pc.old
sed <lib/libpci.pc.old >lib/libpci.pc "s|^libdir=.*$|libdir=%{_libdir}|"
rm lib/libpci.pc.old

Maybe this can help here too.

Comment 3 Rex Dieter 2008-11-03 20:14:18 UTC
Confirmed here on rawhide,/x86_64 GraphicsMagick.pc contains:
Libs: -L/usr/lib64 -L/usr/lib -L/usr/lib ...
which is bogus, of course.

The quick-fix to adjust to -L%{_libdir} is a good one.

Comment 4 Bug Zapper 2009-06-10 02:12:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Rex Dieter 2009-06-30 15:20:32 UTC
I'll take care of this.

Fixed in rawhide, 1.1.15-1


Note You need to log in before you can comment on or make changes to this bug.